import type { DocumentNode } from '../language/ast';
import { GraphQLSchema } from '../type/schema';
interface AnonymizerOptions {
  hashSalt: string;
  hashFunction: (value: ArrayBuffer) => Promise<ArrayBuffer>;
  safeListedSchema?: GraphQLSchema | null;
}
export declare class Anonymizer {
  private _valueMap;
  private _safeListedSchema;
  private _hashFunction;
  private _hashSalt;
  constructor(options: AnonymizerOptions);
  get [Symbol.toStringTag](): string;
  anonymizeDocumentNode(documentAST: DocumentNode): Promise<DocumentNode>;
  anonymizeValue(oldValue: unknown): Promise<unknown>;
  anonymizeStringValue(oldValue: string): Promise<string>;
}
export {};
